#include "main.h"

MainMenu::MainMenu(void):
	mNewGame(NULL), mExit(NULL)
{
	
}

MainMenu::~MainMenu(void)
{
	if (mNewGame)
		SDL_FreeSurface(mNewGame);

	if (mExit)
		SDL_FreeSurface(mExit);
}

bool MainMenu::OnInit()
{
	mNewGame = SDL_LoadBMP("media/newgame.bmp");

	if (!mNewGame)
		return false;

	mExit = SDL_LoadBMP("media/exit.bmp");

	if (!mExit)
		return false;

	return true;
}

void MainMenu::OnUpdate()
{

}

void MainMenu::OnEvent(SDL_Event Event)
{
	switch (Event.type)
	{
	case SDL_MOUSEBUTTONDOWN:
		switch(Event.button.button)
		{
		case SDL_BUTTON_LEFT:
			{
				if (Event.button.x>200 && Event.button.x<200+200 &&
					Event.button.y>100 && Event.button.y<100+100)
					if (!gApp->NewGame())
						gApp->Quit();

				if (Event.button.x>200 && Event.button.x<200+200 &&
					Event.button.y>250 && Event.button.y<250+100)
					gApp->Quit();
			}
			break;
		}		
	break;
	}
}

void MainMenu::OnDraw()
{
	SDL_Rect rect;
	rect.x=200;
	rect.y=100;
	rect.w=200;
	rect.h=100;

	SDL_BlitSurface(mNewGame, NULL, gDisplay, &rect);

	rect.y=250;

	SDL_BlitSurface(mExit, NULL, gDisplay, &rect);
}